FROM thucpd2408/env-cope2n:v1

RUN apt-get update && apt-get install -y gcc g++ ffmpeg libsm6 libxext6

WORKDIR /workspace

COPY ./requirements.txt /workspace/cope2n-ai-fi/requirements.txt
COPY ./sdsvkie/ /workspace/cope2n-ai-fi/sdsvkie/
COPY ./sdsvtd /workspace/cope2n-ai-fi/sdsvtd/
COPY ./sdsvtr/ /workspace/cope2n-ai-fi/sdsvtr/
COPY ./models/ /models

RUN cd /workspace/cope2n-ai-fi && pip3 install -r requirements.txt
RUN cd /workspace/cope2n-ai-fi/sdsvkie && pip3 install -v -e .
RUN cd /workspace/cope2n-ai-fi/sdsvtd && pip3 install -v -e .
RUN cd /workspace/cope2n-ai-fi/sdsvtr && pip3 install -v -e .

ENV PYTHONPATH="."

CMD [ "sh", "run.sh"]
# CMD ["tail -f > /dev/null"]